Reconcile repository architecture change set
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidrepository_id*Repository IdFormat
uuidchange_set_id*Change Set IdFormat
uuidapplication/json- body
observed_change_set_id?|nullSuccessful Response
application/json- response
accuracy*|nullactor_id*|nullbaseline_snapshot_id*|nullcandidate_payload*|nullchange_key*Change Keycreated_at*Created AtFormat
date-timegate_result*|nullid*IdFormat
uuidimpact_result*|nullnormalized_changes*array<>occurred_at*Occurred AtFormat
date-timereason*Reasonreconciled_change_set_id*|nullrepository_id*Repository IdFormat
uuidresult_snapshot_id*|nullsource_ref*Source Refstate*StateValue in
"candidate""observed"trigger*Triggerupdated_at*Updated AtFormat
date-timeworkspace_id*Workspace IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/change-sets/497f6eca-6276-4993-bfeb-53cbbbba6f08/reconcile' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "accuracy": { "f1": 0, "gate_matched": true, "matched_count": 0, "observed_count": 0, "precision": 0, "predicted_count": 0, "recall": 0 }, "actor_id": "04f37679-bfbf-4906-b749-01756515cecf", "baseline_snapshot_id": "52737707-07c6-4939-8e33-14d360aab527", "candidate_payload": {}, "change_key": "string", "created_at": "2019-08-24T14:15:22Z", "gate_result": { "outcome": "pass", "policy_enabled": true, "reasons": [ "string" ] }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "impact_result": {}, "normalized_changes": [ { "key": "string", "kind": "string", "operation": "add", "source_key": "string", "subject": "entity", "target_key": "string" } ], "occurred_at": "2019-08-24T14:15:22Z", "reason": "string", "reconciled_change_set_id": "dd16a78a-0090-44a9-b01b-8b71e6553f84", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "result_snapshot_id": "66f29870-5be3-4bf3-8b48-749c1dfba7c6", "source_ref": "string", "state": "candidate", "trigger": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}